## org.eclipse.jet
Class CoreJETException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jet.CoreJETException

All Implemented Interfaces:
  java.io.Serializable

    public class CoreJETException

extends java.lang.Exception

Represents an exception in the core JET engine

See Also:
  Serialized Form

Constructor Summary
`CoreJETException()`
`CoreJETException(java.lang.String msg)` Create a CoreJETException
`CoreJETException(java.lang.String message, java.lang.Throwable cause)` Create a CoreJETException
`CoreJETException(java.lang.Throwable cause)` Create an exception wrapping another exception

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoreJETException

    public CoreJETException()

### CoreJETException

    public CoreJETException(java.lang.Throwable cause)

  Create an exception wrapping another exception

  Parameters:
    `cause` - the root cause of the exception

### CoreJETException

    public CoreJETException(java.lang.String msg)

  Create a CoreJETException

  Parameters:
    `msg` - the exception message

### CoreJETException

    public CoreJETException(java.lang.String message,
                            java.lang.Throwable cause)

  Create a CoreJETException

  Parameters:
    `message` - the execution message
    `cause` - the root cause of the exception

Copyright 2006 IBM Corporation and others. All Rights Reserved.